Bug 12891 - Enable TDB mutexes in dbwrap and ctdb
Enable TDB mutexes in dbwrap and ctdb
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.7.0rc1
All All
: P5 normal
: 4.7
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 10:12 UTC by Ralph Böhme
Modified: 2017-07-25 09:31 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-7 (11.99 KB, patch)
2017-07-13 07:14 UTC, Amitay Isaacs
slow: review+
Details
Patches for v4-7 (13.10 KB, patch)
2017-07-21 01:21 UTC, Amitay Isaacs
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-07-10 10:12:26 UTC
As per the recent discussion on the mailing list. Using mutexes in TDB instead of fcntl locks noticeably reduces CPU resource usage (as seen in perf profiling).
Comment 1 Amitay Isaacs 2017-07-13 07:14:03 UTC
Created attachment 13372 [details]
Patches for v4-7
Comment 2 Ralph Böhme 2017-07-13 08:19:02 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 3 Amitay Isaacs 2017-07-19 02:03:01 UTC
The fix has a bug.

It causes recursion since the persistent flag calculation is wrong.
Comment 4 Amitay Isaacs 2017-07-21 01:21:58 UTC
Created attachment 13407 [details]
Patches for v4-7
Comment 5 Ralph Böhme 2017-07-21 05:03:47 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 6 Karolin Seeger 2017-07-23 20:09:07 UTC
(In reply to Ralph Böhme from comment #5)
Pushed to autobuild-v4-7-test.
Comment 7 Karolin Seeger 2017-07-25 09:31:03 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-7-test.
Closing out bug report.

Thanks!